org.apache.poi.hssf.record.common

## Class ExtRst

- java.lang.Object
- - org.apache.poi.hssf.record.common.ExtRst

- All Implemented Interfaces:
    java.lang.Comparable<ExtRst>

      @Internal
      public class ExtRst
      extends java.lang.Object
      implements java.lang.Comparable<ExtRst>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ExtRst()`
    `protected` | `ExtRst(ExtRst other)`
    `protected` | `ExtRst(LittleEndianInput in, int expectedLength)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(ExtRst o)`
    `ExtRst` | `copy()`
    `boolean` | `equals(java.lang.Object obj)`
    `protected int` | `getDataSize()` Returns our size, excluding our 4 byte header
    `short` | `getFormattingFontIndex()`
    `short` | `getFormattingOptions()`
    `int` | `getNumberOfRuns()`
    `java.lang.String` | `getPhoneticText()`
    `PhRun[]` | `getPhRuns()`
    `int` | `hashCode()`
    `protected void` | `serialize(ContinuableRecordOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtRst

          protected ExtRst()

    - #### ExtRst

          protected ExtRst(ExtRst other)

    - #### ExtRst

          protected ExtRst(LittleEndianInput in,
                           int expectedLength)

  - ### Method Detail

    - #### getDataSize

          protected int getDataSize()

      Returns our size, excluding our 4 byte header

    - #### serialize

          protected void serialize(ContinuableRecordOutput out)

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(ExtRst o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<ExtRst>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### copy

          public ExtRst copy()

    - #### getFormattingFontIndex

          public short getFormattingFontIndex()

    - #### getFormattingOptions

          public short getFormattingOptions()

    - #### getNumberOfRuns

          public int getNumberOfRuns()

    - #### getPhoneticText

          public java.lang.String getPhoneticText()

    - #### getPhRuns

          public PhRun[] getPhRuns()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.